FFT: A2 Text Editor by deufeufeu

Discussion in 'GBAtemp & Scene News' started by T-hug, Nov 23, 2007.

Nov 23, 2007

FFT: A2 Text Editor by deufeufeu by T-hug at 9:33 PM (3,273 Views / 0 Likes) 17 replies

  1. T-hug
    OP

    Chief Editor T-hug Always like this.

    pip
    Joined:
    Oct 24, 2002
    Messages:
    8,599
    Location:
    England
    Country:
    United Kingdom
    [​IMG]

    For the last few weeks, since the JPN ROM of Final Fantasy Tactics A2: Fuuketsu no Grimoire (FF2-A2: The Sealed Grimoire) was dumped, deufeufeu and his team have been working very hard to bring us a translation of this fine game.
    This application was created by deufeufeu, and is used to edit the game's text, from Japanese to English. Not only does it edit the text, but also patches the ROM with the edited script.
    The translation is still being worked on by the team, and progress is swift. This app is released to the public in order to help the project along!


    Download FFTA2 Text Editor v0.6

    FFTA2 Editor Wiki

    GBAtemp Translation Patch Thread

    Official FFTA2 Translation Site
     
  2. Strag0

    Member Strag0 GBAtemp Fan

    Joined:
    Oct 26, 2002
    Messages:
    334
    Country:
    United States
    Excellent tool! However, the binary does not work for me I had to use the source. As for the log file this is what it displays:
    Traceback (most recent call last):
    File "main.py", line 4, in
    File "zipextimporter.pyo", line 82, in load_module
    File "wx\__init__.pyo", line 45, in
    File "zipextimporter.pyo", line 82, in load_module
    File "wx\_core.pyo", line 4, in
    File "zipextimporter.pyo", line 98, in load_module
    ImportError: MemoryLoadLibrary failed loading wx\_core_.pyd
     
  3. NoSoulX

    Newcomer NoSoulX Advanced Member

    Joined:
    Oct 14, 2005
    Messages:
    96
    Location:
    Finland, Pori
    Country:
    Finland
    For the binary version to work, you'll need to install wxwidget unicode. deufeufeu made the program with open source wxwidgets so the required libraries are a little different from Windows.

    Get from here

    If the japanese text looks like boxes, you'll need to activate eastern languages support.
     
  4. cupajoe

    Member cupajoe Have a cup of joe!

    Joined:
    Aug 25, 2007
    Messages:
    1,143
    Location:
    Minnesota
    Country:
    United States
    Good luck guys! I would help, but I don't know a lick of Japanese...
     
  5. Fusion Master

    Member Fusion Master WOW Addict :0

    Joined:
    Oct 27, 2002
    Messages:
    1,524
    Location:
    QLD, Australia
    Country:
    Australia
    Why are they doing this? Isn't the game coming out eventually in English? Time could be better speant doing something more constructive!
     
  6. EQnox

    Newcomer EQnox Member

    Joined:
    Jul 25, 2006
    Messages:
    16
    Country:
    United States
    It seems to Garble all my test at the beginning. Did I do something wrong? [​IMG]
     
  7. Lumstar

    Member Lumstar Princess

    Joined:
    Mar 6, 2006
    Messages:
    3,531
    Location:
    Darling
    Country:
    United States
    It most likely will. This, Dragon Quest IV DS, and Contra 4, seem fairly tolerant of hacking compared to most modern roms.
     
  8. deufeufeu

    Member deufeufeu GBAtemp Advanced Fan

    Joined:
    Nov 21, 2005
    Messages:
    880
    Country:
    Cote d'Ivoire
    this is nothing compared to dragon quest IV or contra, this game is a lot harder to hack. without bragging you can look at source code for the editing.

    On the binary bug I'm investigating it, I will make a bugfix. (I'm not a windows user...).
    EDIT : I've updated the zip with the missings files. (damn you copy-paste)
     
  9. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,412
    Location:
    Engine room, learning
    Country:
    France
    It's constructive for those who want to play FFTA2 in English while SquareEnix didn't announce an US release date.
    Yes it will eventually be released, maybe in 6month ~ 1 year you know, and in 1 month we made it understandable (only story missing and few menus)


    It's not only a translation in English, but an editor in all the languages you want. Like Phoenix Wright Script Editor.
    You know there is Europe and languages that have this sort of game 1 year after US, if not never :/
    First FFT never reached the Europe, or maybe on PSP, 10 years later.
    Of course you know, Australia is PAL too.


    And finally, it's never for nothing, I'm sure Deufeufeu learns a lot of thing reversing this (difficult) game, and coding the editor. there is always a benefit, even if it's for oneself.
     
  10. Dirtie

    Former Staff Dirtie :'D

    Joined:
    Sep 9, 2003
    Messages:
    3,705
    Location:
    Zealer
    Country:
    New Zealand
    Good to see one of these projects getting some front-page recognition [​IMG]
     
  11. dsbomb

    Member dsbomb GBAtemp Fan

    Joined:
    Feb 12, 2007
    Messages:
    487
    Location:
    Illinois, USA
    Country:
    United States
    People do stuff they have an interest in. It's the way people operate. Sometimes, I know it's hard to understand, what interests them is not the same things that interest you.

    I'm going to go eat some food now, because I like food. Is that alright, or should I be doing something more constructive for you? [​IMG]
     
  12. [Jez]

    Newcomer [Jez] Advanced Member

    Joined:
    Nov 22, 2005
    Messages:
    83
    Country:
    United Kingdom
    I'm so glad the world is full of people smarter than me, a huge thank you to deufeufeu and all the translators/editors/proof readers and testers
     
  13. emoo55

    Banned emoo55 Banned

    Joined:
    Jul 9, 2006
    Messages:
    87
    Country:
    Hong Kong
    Does this work with other games? Because I want to do pw4 But it doesn't work.
     
  14. NoSoulX

    Newcomer NoSoulX Advanced Member

    Joined:
    Oct 14, 2005
    Messages:
    96
    Location:
    Finland, Pori
    Country:
    Finland
    [​IMG] Sorry but no. The patcher is only and solely for FFT A2 at the moment. Sorry for disapointing.
     
  15. Retal

    Member Retal GBAtemp Advanced Fan

    Joined:
    May 20, 2007
    Messages:
    914
    Location:
    England              Sex: Daily
    Country:
    United Kingdom
    Fixed.
     
  16. r0ni

    Newcomer r0ni Member

    Joined:
    Nov 5, 2002
    Messages:
    25
    Location:
    Michigan, USA
    Country:
    United States
    I've been following this thing and I have yet to get it working. I installed all the needed dependences and compiled main.py and when I run it I get this error message:


    CODELast login: Mon Nov 26 00:48:07 on ttys000
    /Users/jbl/Downloads/ffta2_editor-0.6.2/main.app/Contents/MacOS/main; exit;
    locoland:~ jbl$ /Users/jbl/Downloads/ffta2_editor-0.6.2/main.app/Contents/MacOS/main; exit;
    Traceback (most recent call last):
    ÂFile "/Users/jbl/Downloads/ffta2_editor-0.6.2/main.app/Contents/Resources/__argvemulator_main.py", line 4, in
    Â Âexecfile(os.path.join(os.path.split(__file__)[0], "main.py"))
    ÂFile "/Users/jbl/Downloads/ffta2_editor-0.6.2/main.app/Contents/Resources/main.py", line 6, in
    Â Âimport Image
    ImportError: No module named Image
    logout

    [Process completed]


    I'm using OS X 10.5.1 on PPC. Any ideas?
     
  17. deufeufeu

    Member deufeufeu GBAtemp Advanced Fan

    Joined:
    Nov 21, 2005
    Messages:
    880
    Country:
    Cote d'Ivoire
    You did not installed PIL the python imaging library.
    EDIT : seing that you have used a app maker, maybe you have pil on your machine but it was not added to the dependancies of the app. In fact python script can't be compiled, when making a mac os x app or a windows exe all you are doing is embedding the python interpreter, the scripts and all the dependencies in one bundle. You can try to run directly the application like that : python main.py in the dir of main.py.
     
  18. r0ni

    Newcomer r0ni Member

    Joined:
    Nov 5, 2002
    Messages:
    25
    Location:
    Michigan, USA
    Country:
    United States
    Well I got it working now. The pre-built binaries you link too for PIL on OSX don't seem to work on 10.5. After compiling PIL manually the patcher runs fine.
     

Share This Page